org.apache.olingo.odata2.api.edm.provider

## Class Property

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.Property

- Direct Known Subclasses:
    ComplexProperty, SimpleProperty

      public abstract class Property
      extends Object

  Objects of this class represent a property of an entity type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Property()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `CustomizableFeedMappings` | `getCustomizableFeedMappings()`
    `Documentation` | `getDocumentation()`
    `EdmFacets` | `getFacets()`
    `Mapping` | `getMapping()`
    `String` | `getMimeType()`
    `String` | `getName()`
    `Property` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `Property`
    `Property` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `Property`
    `Property` | `setCustomizableFeedMappings(CustomizableFeedMappings customizableFeedMappings)` Sets the `CustomizableFeedMappings` for this `Property`
    `Property` | `setDocumentation(Documentation documentation)` Sets the `Documentation` for this `Property`
    `Property` | `setFacets(EdmFacets facets)` Sets the `Facets` for this `Property`
    `Property` | `setMapping(Mapping mapping)` Sets the `Mapping` for this `Property`
    `Property` | `setMimeType(String mimeType)` Sets the mime type for this `Property`
    `Property` | `setName(String name)` Sets the name for this `Property`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Property

          public Property()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String name of this property

    - #### getFacets

          public EdmFacets getFacets()

      Returns:
        `EdmFacets` of this property

    - #### getCustomizableFeedMappings

          public CustomizableFeedMappings getCustomizableFeedMappings()

      Returns:
        `CustomizableFeedMappings` of this property

    - #### getMimeType

          public String getMimeType()

      Returns:
        String mime type of this property

    - #### getMapping

          public Mapping getMapping()

      Returns:
        `Mapping` of this property

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` of this property

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        List of `AnnotationElement` annotation elements

    - #### setName

          public Property setName(String name)

      Sets the name for this `Property`
      Parameters:
        `name` -
      Returns:
        `Property` for method chaining

    - #### setFacets

          public Property setFacets(EdmFacets facets)

      Sets the `Facets` for this `Property`
      Parameters:
        `facets` -
      Returns:
        `Property` for method chaining

    - #### setCustomizableFeedMappings

          public Property setCustomizableFeedMappings(CustomizableFeedMappings customizableFeedMappings)

      Sets the `CustomizableFeedMappings` for this `Property`
      Parameters:
        `customizableFeedMappings` -
      Returns:
        `Property` for method chaining

    - #### setMimeType

          public Property setMimeType(String mimeType)

      Sets the mime type for this `Property`
      Parameters:
        `mimeType` -
      Returns:
        `Property` for method chaining

    - #### setMapping

          public Property setMapping(Mapping mapping)

      Sets the `Mapping` for this `Property`
      Parameters:
        `mapping` -
      Returns:
        `Property` for method chaining

    - #### setDocumentation

          public Property setDocumentation(Documentation documentation)

      Sets the `Documentation` for this `Property`
      Parameters:
        `documentation` -
      Returns:
        `Property` for method chaining

    - #### setAnnotationAttributes

          public Property setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `Property`
      Parameters:
        `annotationAttributes` -
      Returns:
        `Property` for method chaining

    - #### setAnnotationElements

          public Property setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `Property`
      Parameters:
        `annotationElements` -
      Returns:
        `Property` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.